### Signal

# WebKit WebView::load-failed

#### Declaration

    gboolean
    load_failed (
      WebKitWebView* self,
      WebKitLoadEvent load_event,
      gchar* failing_uri,
      GError* error,
      gpointer user_data
    )

#### Description [src]

Emitted when an error occurs during a load operation. If the error happened when starting to load data for a page `load_event` will be `WEBKIT_LOAD_STARTED`. If it happened while loading a committed data source `load_event` will be `WEBKIT_LOAD_COMMITTED`. Since a load error causes the load operation to finish, the signal WebKitWebView::load-changed will always be emitted with `WEBKIT_LOAD_FINISHED` event right after this one.

By default, if the signal is not handled, a stock error page will be displayed. You need to handle the signal if you want to provide your own error page.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`load_event` | `WebKitLoadEvent`
| The `WebKitLoadEvent` of the load operation.
`failing_uri` | `gchar*`
| The URI that failed to load.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError`
| The `GError` that was triggered.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.